#
# Conditional build:
%bcond_without	latex	# LaTeX fonts
#
Summary:	Collection of Thai scalable fonts
Summary(pl.UTF-8):	Kolekcja skalowalnych fontów tajskich
Name:		fonts-thai-scalable
Version:	0.7.3
Release:	2
License:	MIT (Waree font), GPL v2+ (the rest)
Group:		Fonts
Source0:	https://linux.thai.net/pub/thailinux/software/thaifonts-scalable/fonts-tlwg-%{version}.tar.xz
# Source0-md5:	d1de007dd0263acb0e64207b77df7f1c
URL:		https://linux.thai.net/projects/thaifonts-scalable
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	fontforge >= 20190801
BuildRequires:	python3 >= 1:3.7
BuildRequires:	python3-fontforge >= 20190801
BuildRequires:	rpmbuild(macros) >= 1.751
BuildRequires:	xorg-app-mkfontscale
%if %{with latex}
# afm2tfm, vptovf, updmap-sys, mktexlsr
BuildRequires:	texlive
BuildRequires:	thailatex >= 0.4.6
%endif
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
thaifonts-scalable is a collection of Thai scalable fonts available in
free licenses. Its goal is to provide fonts that conform to existing
standards and recommendations, so that it can be a reference
implementation.

%description -l pl.UTF-8
thaifonts-scalable to kolekcja fontów skalowalnych dostępnych na
wolnych licencjach. Celem pakietu jest dostarczenie fontów zgodnych z
istniejącymi standardami i rekomendacjami, aby był implementacją
wzorcową.

%package -n fonts-OTF-thai
Summary:	Collection of OpenType Thai scalable fonts
Summary(pl.UTF-8):	Kolekcja skalowalnych fontów tajskich w formacie OpenType
Group:		Fonts
Requires(post,postun):	fontpostinst

%description -n fonts-OTF-thai
thaifonts-scalable is a collection of Thai scalable fonts available in
free licenses. Its goal is to provide fonts that conform to existing
standards and recommendations, so that it can be a reference
implementation.

This package contains fonts in OpenType format.

%description -n fonts-OTF-thai -l pl.UTF-8
thaifonts-scalable to kolekcja fontów skalowalnych dostępnych na
wolnych licencjach. Celem pakietu jest dostarczenie fontów zgodnych z
istniejącymi standardami i rekomendacjami, aby był implementacją
wzorcową.

Ten pakiet zawiera fonty w formacie OpenType.

%package -n fonts-TTF-thai
Summary:	Collection of TrueType Thai scalable fonts
Summary(pl.UTF-8):	Kolekcja skalowalnych fontów tajskich w formacie TrueType
Group:		Fonts
Requires(post,postun):	fontpostinst

%description -n fonts-TTF-thai
thaifonts-scalable is a collection of Thai scalable fonts available in
free licenses. Its goal is to provide fonts that conform to existing
standards and recommendations, so that it can be a reference
implementation.

This package contains fonts in TrueType format.

%description -n fonts-TTF-thai -l pl.UTF-8
thaifonts-scalable to kolekcja fontów skalowalnych dostępnych na
wolnych licencjach. Celem pakietu jest dostarczenie fontów zgodnych z
istniejącymi standardami i rekomendacjami, aby był implementacją
wzorcową.

Ten pakiet zawiera fonty w formacie TrueType.

%package -n fonts-Type1-thai
Summary:	Collection of Type1 Thai scalable fonts
Summary(pl.UTF-8):	Kolekcja skalowalnych fontów tajskich w formacie Type1
Group:		Fonts
Requires(post,postun):	fontpostinst

%description -n fonts-Type1-thai
thaifonts-scalable is a collection of Thai scalable fonts available in
free licenses. Its goal is to provide fonts that conform to existing
standards and recommendations, so that it can be a reference
implementation.

This package contains fonts in Type1 format.

%description -n fonts-Type1-thai -l pl.UTF-8
thaifonts-scalable to kolekcja fontów skalowalnych dostępnych na
wolnych licencjach. Celem pakietu jest dostarczenie fontów zgodnych z
istniejącymi standardami i rekomendacjami, aby był implementacją
wzorcową.

Ten pakiet zawiera fonty w formacie Type1.

%package -n thailatex-fonts
Summary:	Collection of Thai scalable fonts for LaTeX
Summary(pl.UTF-8):	Kolekcja skalowalnych fontów tajskich dla LaTeXa
Group:		Fonts
Requires(post,postun):	texlive
Requires:	texlive
Requires:	thailatex >= 0.4.7

%description -n thailatex-fonts
thaifonts-scalable is a collection of Thai scalable fonts available in
free licenses. Its goal is to provide fonts that conform to existing
standards and recommendations, so that it can be a reference
implementation.

This package contains LaTeX fonts for use with thailatex.

%description -n thailatex-fonts -l pl.UTF-8
thaifonts-scalable to kolekcja fontów skalowalnych dostępnych na
wolnych licencjach. Celem pakietu jest dostarczenie fontów zgodnych z
istniejącymi standardami i rekomendacjami, aby był implementacją
wzorcową.

Ten pakiet zawiera fonty LaTeXowe do używania z pakietem thailatex.

%prep
%setup -q -n fonts-tlwg-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{?with_latex:--enable-latex} \
	--enable-otf \
	--enable-pfb \
	--enable-ttf \
	--with-otfdir=%{_fontsdir}/OTF \
	--with-ttfdir=%{_fontsdir}/TTF \
	--with-type1dir=%{_fontsdir}/Type1
%{__make} %{?with_latex:-j1}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_fontsdir}/Type1/afm
%{__mv} $RPM_BUILD_ROOT%{_fontsdir}/Type1/*.afm $RPM_BUILD_ROOT%{_fontsdir}/Type1/afm
mkfontscale -o $RPM_BUILD_ROOT%{_fontsdir}/Type1/fonts.scale.thai-scalable $RPM_BUILD_ROOT%{_fontsdir}/Type1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n fonts-OTF-thai
fontpostinst OTF

%postun	-n fonts-OTF-thai
fontpostinst OTF

%post	-n fonts-TTF-thai
fontpostinst TTF

%postun	-n fonts-TTF-thai
fontpostinst TTF

%post	-n fonts-Type1-thai
fontpostinst Type1

%postun	-n fonts-Type1-thai
fontpostinst Type1

%post	-n thailatex-fonts
%texhash

%postun	-n thailatex-fonts
%texhash

%files -n fonts-OTF-thai
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_fontsdir}/OTF/Garuda*.otf
%{_fontsdir}/OTF/Kinnari*.otf
%{_fontsdir}/OTF/Laksaman*.otf
%{_fontsdir}/OTF/Loma*.otf
%{_fontsdir}/OTF/Norasi*.otf
%{_fontsdir}/OTF/Purisa*.otf
%{_fontsdir}/OTF/Sawasdee*.otf
%{_fontsdir}/OTF/Tlwg*.otf
%{_fontsdir}/OTF/Umpush*.otf
%{_fontsdir}/OTF/Waree*.otf

%files -n fonts-TTF-thai
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog ChangeLog.thai-ttf NEWS README
%{_fontsdir}/TTF/Garuda*.ttf
%{_fontsdir}/TTF/Kinnari*.ttf
%{_fontsdir}/TTF/Laksaman*.ttf
%{_fontsdir}/TTF/Loma*.ttf
%{_fontsdir}/TTF/Norasi*.ttf
%{_fontsdir}/TTF/Purisa*.ttf
%{_fontsdir}/TTF/Sawasdee*.ttf
%{_fontsdir}/TTF/Tlwg*.ttf
%{_fontsdir}/TTF/Umpush*.ttf
%{_fontsdir}/TTF/Waree*.ttf
%{_datadir}/fontconfig/conf.avail/64-??-tlwg-*.conf
%{_datadir}/fontconfig/conf.avail/64-15-laksaman.conf
%{_datadir}/fontconfig/conf.avail/89-tlwg-*-synthetic.conf

%files -n fonts-Type1-thai
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_fontsdir}/Type1/Garuda*.pfb
%{_fontsdir}/Type1/Kinnari*.pfb
%{_fontsdir}/Type1/Laksaman*.pfb
%{_fontsdir}/Type1/Loma*.pfb
%{_fontsdir}/Type1/Norasi*.pfb
%{_fontsdir}/Type1/Purisa*.pfb
%{_fontsdir}/Type1/Sawasdee*.pfb
%{_fontsdir}/Type1/Tlwg*.pfb
%{_fontsdir}/Type1/Umpush*.pfb
%{_fontsdir}/Type1/Waree*.pfb
%{_fontsdir}/Type1/fonts.scale.thai-scalable
%{_fontsdir}/Type1/afm/Garuda*.afm
%{_fontsdir}/Type1/afm/Kinnari*.afm
%{_fontsdir}/Type1/afm/Laksaman*.afm
%{_fontsdir}/Type1/afm/Loma*.afm
%{_fontsdir}/Type1/afm/Norasi*.afm
%{_fontsdir}/Type1/afm/Purisa*.afm
%{_fontsdir}/Type1/afm/Sawasdee*.afm
%{_fontsdir}/Type1/afm/Tlwg*.afm
%{_fontsdir}/Type1/afm/Umpush*.afm
%{_fontsdir}/Type1/afm/Waree*.afm

%files -n thailatex-fonts
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/texmf/fonts/afm/public/fonts-tlwg
%{_datadir}/texmf/fonts/enc/dvips/fonts-tlwg
%{_datadir}/texmf/fonts/map/dvips/fonts-tlwg
%{_datadir}/texmf/fonts/opentype/public/fonts-tlwg
%{_datadir}/texmf/fonts/tfm/public/fonts-tlwg
%{_datadir}/texmf/fonts/type1/public/fonts-tlwg
%{_datadir}/texmf/fonts/vf/public/fonts-tlwg
%{_datadir}/texmf/tex/latex/fonts-tlwg
%changelog
* Wed Jan 12 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fonts-thai-scalable.git;a=log;h=master

* Wed Jan 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 8e5cd63
- noarch, release 2

* Tue Jan 11 2022 Jakub Bogusz <qboosh@pld-linux.org> af82864
- updated to 0.7.3

* Sun Nov 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 539d73b
- updated to 0.7.2

* Sun Jul 28 2019 Jakub Bogusz <qboosh@pld-linux.org> c073f08
- updated to 0.7.1

* Sun Jun 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 4067f77
- updated to 0.6.5
- removed obsolete fontconfig-2.10 patch

* Sun Nov 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 8a625d4
- updated to 0.6.4

* Thu Aug 04 2016 Jakub Bogusz <qboosh@pld-linux.org> 464e34a
- updated to 0.6.3

* Mon Jan 11 2016 Jakub Bogusz <qboosh@pld-linux.org> a372217
- updated to 0.6.2

* Fri Jul 18 2014 Jakub Bogusz <qboosh@pld-linux.org> d5e3689
- updated to 0.6.1

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 0d17f0c
- updated to 0.5.1

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 25ce4de
- release 3 (by relup.sh)

* Thu Aug 09 2012 Jan Rękorajski <baggins@pld-linux.org> c08283c
- Switch to new fontconfig direcotry structure
Release 2

* Fri Feb 17 2012 Jakub Bogusz <qboosh@pld-linux.org> 29d6eea
- updated to 0.5.0; upstream package renamed from thaifonts-scalable to fonts-tlwg

* Mon Nov 07 2011 Jakub Bogusz <qboosh@pld-linux.org> aeb700c
- common texlive dirs moved to thailatex

* Mon Nov 07 2011 Jakub Bogusz <qboosh@pld-linux.org> f3d9454
- BR: mkfontscale

* Mon Nov 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 09409f7
- package LaTeX fonts for thailatex; make rules incompatible with -jN
- added post/postun scripts

* Sun Nov 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 0ae6687
- new; covers also thai-ttf package from thailinux

